MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025307Open CASCADE[OCCT] OCCT:Meshpublic2014-10-01 12:532014-11-12 09:52
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025307: Problems resulted from re-triangulation
DescriptionAs a result of correction of #25142, several regressions were discovered:

Regressions/Differences:
http://occt-tests/CR25142-master-occt/Debian60-64/diff-Debian60-64.html [^] [^]
http://occt-tests/CR25142-master-occt/Windows-32-VC10/summary.html [^] [^]
mesh advanced_shading(004) A9, B1
mesh standard_shading(001) A6, U7, V4, W4

These regressions are in fact related to BRepMesh functionality: when called for the second time for an already triangulated shape (and this exactly what happens in the failed tests - a shape is first displayed in wireframe and triangulated with some coarse deflection for selection needs), it does not create exactly the same triangulation as when it is called with the same parameters for a non-triangulated shape, see e.g. the analysis of mesh advanced_shading(004) A9 case below.

1. Calling BRepMesh to display a non-triangulated shape in shading:
vinit
vsetdispmode 1
vdisplay res
tricheck res
free nodes (in pairs: face / node):
{4 19} {4 21} {6 26} {6 28}
Free_links 0 Cross_face_errors 0 Async_edges 0 Free_nodes 4
Not connected mesh inside face 4
Not connected mesh inside face 6


2. Calling BRepMesh to display an already triangulated shape in shading:
vinit
vdisplay res
vsetdispmode res 1
tricheck res
problem getting PolygonOnTriangulation of edge 18
free links of face 5
{35 34} {7 6} {36 35} {6 5} {2 17} {40 2} {41 40} {17 16} {5 4} {42 41} {43 42} {23 43} {24 23} {38 37} 
{37 36} {4 3}
 {16 15} {3 1} {1 19} {19 20} {20 21} {25 24} {21 22} {22 18} {39 38} {18 39} {15 14} {26 25} {27 26} 
{14 13} {13 12}
 {28 27} {12 11} {29 28} {11 10} {30 29} {10 9} {31 30} {32 31} {9 8} {34 33} {33 32} {8 7}
free nodes (in pairs: face / node):
{4 19} {4 21} {6 26} {6 28}
Free_links 43 Cross_face_errors 0 Async_edges 0 Free_nodes 4
Not connected mesh inside face 4

TagsNo tags attached.
Test case numberbugs mesh bug25307
Attached Files

- Relationships

-  Notes
(0032938)
oan (developer)
2014-10-09 18:37
edited on: 2014-10-09 18:37

Dear Bugmaster,

Please verify issue after integration of #25142 to master branch. I have checked solution using current master where BRepTools::Clean(theShape) is removed from StdPrs_ShadedShape and I have not discovered any regression.

(0033947)
git (administrator)
2014-10-31 15:09

Branch CR25307 has been created by apn.

SHA-1: d9ffcb4e878e79bac2bc16bfafe7846ebdfa6fc8


Detailed log of new commits:

Author: apn
Date: Fri Oct 31 15:08:49 2014 +0300

    0025307: Problems resulted from re-triangulation
    
    Added test case bugs/mesh/bug25307
(0033948)
apn (administrator)
2014-10-31 15:09

Problem is not reproduced on current state of master on Windows and Debian60-64 in Release and Debug modes.
Branch CR25307 was created. It contains test case:
bugs mesh bug25307 - OK
(0034303)
git (administrator)
2014-11-12 09:52

Branch CR25307 has been deleted by inv.

SHA-1: d9ffcb4e878e79bac2bc16bfafe7846ebdfa6fc8

- Related Changesets
occt: master a507ffd9
Timestamp: 2014-10-31 12:08:49
Author: apn
Committer: bugmaster
Details ] Diff ]
0025307: Problems resulted from re-triangulation

Added test case bugs/mesh/bug25307
add - tests/bugs/mesh/bug25307 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-01 12:53 san New Issue
2014-10-01 12:53 san Assigned To => oan
2014-10-01 12:55 san Status new => assigned
2014-10-01 12:55 san Relationship added related to 0025142
2014-10-09 18:37 oan Note Added: 0032938
2014-10-09 18:37 oan Assigned To oan => bugmaster
2014-10-09 18:37 oan Status assigned => feedback
2014-10-09 18:37 oan Note Edited: 0032938 View Revisions
2014-10-15 14:10 bugmaster Assigned To bugmaster => mkv
2014-10-20 12:03 bugmaster Assigned To mkv => apn
2014-10-31 15:09 git Note Added: 0033947
2014-10-31 15:09 apn Note Added: 0033948
2014-10-31 15:09 apn Test case number => bugs mesh bug25307
2014-10-31 15:09 apn Assigned To apn => bugmaster
2014-10-31 15:09 apn Status feedback => tested
2014-11-06 15:18 bugmaster Changeset attached => occt master a507ffd9
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 09:52 git Note Added: 0034303


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker